function [RESX,RESY]=aCorr(ARG,LagBegin,LagEnd,LagStep,LagRatio)
% Построение функции автокорреляции - на основании статьи
% Stanley E. etc "The statistical properties of the volatility of price uctuations"
% Переделано - на базе курса D. Meko "Time Series"
% Вход  : ARG - матрица исходных значений
%         LagBegin - начальная временная задержка
%         LagEnd - конечная временная задержка
%         LagStep - шаг временной задержки (необязательный параметр - по умолчанию 1)
%         LagRatio - коэффициент увеличения интервала (если не задан - используем шаг)

if (nargin==3)
    LagStep=1;
end

[m,n]=size(ARG);
AVG=sum(ARG)/n;

index=1;
j=LagBegin;
while (j<=LagEnd)
    for i=1:m
        RESY(i,index)=sum((ARG(1,1:n-j)-AVG).*(ARG(1,j+1:n)-AVG))/sum((ARG(i,:)-AVG).^2);
        RESX(i,index)=j;
    end
    if (nargin==5)
        LagStep=fix(LagStep*ratio);
    end
    index=index+1;
    j=j+LagStep;
end